GRDCLIP(l)

NAME
grdclip - Clipping of range in grdfiles.

SYNOPSIS
grdclip input_file.grd -Goutput_file.grd [ -Sahigh/above ] [ -Sblow/below ] [ -V ]

DESCRIPTION
grdclip will set values < low to below and/or values > high to above. Useful when you want all of a continent or an ocean to fall into one color or grayshade in image processing, or clipping of the range of data values is required. above/below can be any number or NaN (Not a Number). You must choose at least one of -Sa or -Sb.

input_file.grd
    The input 2-D binary grdfile.

-G  output_file.grd is the modified output grdfile.

OPTIONS

-Sa Set all data[i] > high to above.

-Sb Set all data[i] < low to below.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

EXAMPLES
To set all values > 70 to NaN and all values < 0 to 0 in file data.grd, try:

grdclip data.grd -Gnew_data.grd -Sa70/NaN -Sb0/0 -V

SEE ALSO
gmt(1gmt), grdlandmask(1gmt), grdmask(1gmt), grdmath(1gmt), grd2xyz(1gmt), xyz2grd(1gmt)